/*************Start-Navbar************/
.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 60px;
  font-family: "Inter-semi-bold";
  background-color: var(--Neutral-100);
  border-bottom: 1px solid var(--Neutral-600);
}
.navbar .logo {
  margin-right: 20px;
}
.navbar .left {
  display: flex;
  justify-content: flex-start;
}
.navbar .right .login-btn,
.navbar .right .signup-btn {
  font-family: "Inter-semi-bold";
  font-size: 15px;
  line-height: 22px;
  padding: 12px 18px;
  border-radius: 6px;
}
.navbar .right .login-btn {
  background-color: var(--Primary-600);
  color: var(--white-color);
  margin-left: 16px;
}
.navbar .right .signup-btn {
  background-color: transparent;
  color: var(--Primary-600);
}
.nav-links a {
  color: var(--Gray-700);
  transition: 0.4s ease;
}

.menu {
  display: flex;
  gap: 15px;
  font-size: 16px;
  list-style: none;
}
.menu li {
  padding: 5px 10px;
}

.menu li a:hover {
  color: var(--Primary-600);
}

.resources {
  position: relative;
}

.dropdown {
  background-color: var(--Neutral-600);
  padding: 1em 0;
  position: absolute;
  display: none;
  border-radius: 8px;
  top: 35px;
}

.dropdown li :not(li:first-of-type) {
  margin-top: 10px;
  padding: 0.5em 1em;
  width: 8em;
  text-align: center;
}

.resources:hover .dropdown {
  display: block;
}

input[type="checkbox"] {
  display: none;
}

.hamburger {
  cursor: pointer;
  display: none;
  font-size: 24px;
  user-select: none;
}
/*************End-Navbar************/

/*************Start-Mobile-View************/
@media (max-width: 768px) {
  .navbar {
    padding: 20px;
  }
  .navbar .left {
    justify-content: space-between;
    width: 100%;
  }
  .navbar .right {
    display: none;
  }
  .menu {
    display: none;
    position: absolute;
    text-align: center;
    background-color: var(--Primary-600);
    right: 0;
    left: 0;
    padding: 16px 0;
    margin-top: 30px;
  }
  .nav-links a {
    color: var(--white-color);
  }

  .menu li {
    padding: 10px;
  }
  .menu li a:hover {
    color: var(--white-color);
  }

  input[type="checkbox"]:checked ~ .menu {
    display: block;
  }

  .hamburger {
    display: block;
  }
  .dropdown {
    left: 50%;
    top: 30px;
    transform: translateX(35%);
  }
}
/*************End-Mobile-View************/
